import request from '/@/utils/request';

/**
 * 分页查询工学交替列表
 */
export const fetchList = (query?: any) => {
  return request({
    url: '/stuwork/stuworkstudyalternate/page',
    method: 'get',
    params: query
  });
};

/**
 * 新增工学交替
 */
export const addObj = (data: any) => {
  return request({
    url: '/stuwork/stuworkstudyalternate',
    method: 'post',
    data
  });
};

/**
 * 指定带班教师
 */
export const chooseTeacherAttendance = (data: any) => {
  return request({
    url: '/stuwork/stuworkstudyalternate/chooseTeacherAttendance',
    method: 'post',
    data
  });
};

/**
 * 删除工学交替
 */
export const delObj = (ids: string[]) => {
  return request({
    url: '/stuwork/stuworkstudyalternate/delete',
    method: 'post',
    data: ids
  });
};

